----------------------------------------------------------------------
-- 	HadarilUI (November 12th 2016) (1.1.0) -- Krisera @ Wyrmrest Accord
----------------------------------------------------------------------

--	[2.1]	Darken Frames

	local CF=CreateFrame("Frame")
	CF:RegisterEvent("PLAYER_ENTERING_WORLD")
	CF:SetScript("OnEvent", function(self, event)
		if not (IsAddOnLoaded("Shadowed Unit Frames") or IsAddOnLoaded("PitBull Unit Frames 4.0") or IsAddOnLoaded("X-Perl UnitFrames")) then
            for i,v in pairs({
				PlayerFrameTexture,
				PlayerFrameAlternateManaBarBorder,
				PlayerFrameAlternateManaBarLeftBorder,
				PlayerFrameAlternateManaBarRightBorder,
				ComboPointPlayerFrame.Background,
				ComboPointPlayerFrame.Combo1.PointOff,
				ComboPointPlayerFrame.Combo2.PointOff,
				ComboPointPlayerFrame.Combo3.PointOff,
				ComboPointPlayerFrame.Combo4.PointOff,
				ComboPointPlayerFrame.Combo5.PointOff,
				ComboPointPlayerFrame.Combo6.PointOff,
				AlternatePowerBarBorder,
				AlternatePowerBarLeftBorder,
				AlternatePowerBarRightBorder,
  				PetFrameTexture,
				PartyMemberFrame1Texture,
				PartyMemberFrame2Texture,
				PartyMemberFrame3Texture,
				PartyMemberFrame4Texture,
				PartyMemberFrame1PetFrameTexture,
				PartyMemberFrame2PetFrameTexture,
				PartyMemberFrame3PetFrameTexture,
				PartyMemberFrame4PetFrameTexture,
   				FocusFrameTextureFrameTexture,
   				TargetFrameTextureFrameTexture,
   				TargetFrameToTTextureFrameTexture,
   				FocusFrameToTTextureFrameTexture,
				Boss1TargetFrameTextureFrameTexture,
				Boss2TargetFrameTextureFrameTexture,
				Boss3TargetFrameTextureFrameTexture,
				Boss4TargetFrameTextureFrameTexture,
				Boss5TargetFrameTextureFrameTexture,
				Boss1TargetFrameSpellBar.Border,
				Boss2TargetFrameSpellBar.Border,
				Boss3TargetFrameSpellBar.Border,
				Boss4TargetFrameSpellBar.Border,
				Boss5TargetFrameSpellBar.Border,
				CastingBarFrame.Border,
				FocusFrameSpellBar.Border,
				TargetFrameSpellBar.Border,
				SlidingActionBarTexture0,
				SlidingActionBarTexture1,
		        MainMenuBarTexture0,
				MainMenuBarTexture1,
				MainMenuBarTexture2,
				MainMenuBarTexture3,
		        MainMenuMaxLevelBar0,
		        MainMenuMaxLevelBar1,
				MainMenuMaxLevelBar2,
				MainMenuMaxLevelBar3,
				MainMenuMaxLevelBar0Hadaril,
				MainMenuMaxLevelBar1Hadaril,
				MainMenuMaxLevelBar2Hadaril,
				MainMenuMaxLevelBar3Hadaril,
				MainMenuXPBarTextureLeftCap,
				MainMenuXPBarTextureRightCap,
				MainMenuXPBarTextureMid,
				ReputationWatchBarTexture0,
				ReputationWatchBarTexture1,
				ReputationWatchBarTexture2,
				ReputationWatchBarTexture3,
				ReputationXPBarTexture0,
				ReputationXPBarTexture1,
				ReputationXPBarTexture2,
				ReputationXPBarTexture3,
			    BonusActionBarFrameTexture0, 
			    BonusActionBarFrameTexture1, 
			    BonusActionBarFrameTexture2, 
			    BonusActionBarFrameTexture3,
				BonusActionBarFrameTexture4, 
			    MinimapBorder, 
			    MiniMapTrackingButtonBorder, 
			    MiniMapLFGFrameBorder, 
			    MiniMapBattlefieldBorder,
				MiniMapMailBorder, 
				MinimapBorderTop,
				MainMenuBarLeftEndCap,
		        MainMenuBarRightEndCap, 
				StanceBarLeft,
				StanceBarMiddle,			
				StanceBarRight,
				ArtifactWatchBar.StatusBar.XPBarTexture0,
				ArtifactWatchBar.StatusBar.XPBarTexture1,
				ArtifactWatchBar.StatusBar.XPBarTexture2,
				ArtifactWatchBar.StatusBar.XPBarTexture3,
			}) do
                 v:SetVertexColor(.4, .4, .4)
			end

			for i,v in pairs({
				PlayerPVPIcon,
				TargetFrameTextureFramePVPIcon,
				FocusFrameTextureFramePVPIcon,
			}) do
				v:SetAlpha(0)
			end
			for i=1,4 do 
				_G["PartyMemberFrame"..i.."PVPIcon"]:SetAlpha(0)
				_G["PartyMemberFrame"..i.."NotPresentIcon"]:Hide()
				_G["PartyMemberFrame"..i.."NotPresentIcon"].Show = function() end
			end
			for i = 1, 5 do
 				local shard = _G["WarlockPowerFrameShard"..i]
 				for _, region in pairs({shard:GetRegions()}) do
 					if region:GetDrawLayer() == "BORDER" then
 						region:SetVertexColor(.05, .05, .05)
 					end
 				end
			end
			else
				CastingBarFrameBorder:SetVertexColor(.05,.05,.05)    
			end
			self:UnregisterEvent("PLAYER_ENTERING_WORLD")
	        	CF:SetScript("OnEvent", nil)
		end)
		for i=1,19 do _G["MainMenuXPBarDiv"..i]:SetTexture(Empty_Art) end 


--	[2.2]	Colors

	
	local function colour(statusbar, unit)
	        local _, class, c
	        if UnitIsPlayer(unit) and UnitIsConnected(unit) and unit == statusbar.unit and UnitClass(unit) then
	                _, class = UnitClass(unit)
	                c = CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[class] or RAID_CLASS_COLORS[class]
	                statusbar:SetStatusBarColor(c.r, c.g, c.b)
	                PlayerFrameHealthBar:SetStatusBarColor(0,1,0)
	        end
	end

	hooksecurefunc("UnitFrameHealthBar_Update", colour)
	hooksecurefunc("HealthBar_OnValueChanged", function(self)
	        colour(self, self.unit)
	end)

	local frame = CreateFrame("FRAME")
	frame:RegisterEvent("GROUP_ROSTER_UPDATE")
	frame:RegisterEvent("PLAYER_TARGET_CHANGED")
	frame:RegisterEvent("PLAYER_FOCUS_CHANGED")
	frame:RegisterEvent("UNIT_FACTION")

	-- Artifact XP bar

	ArtifactWatchBar.StatusBar.BarTexture:SetVertexColor(.275, .275, .275)
	ArtifactWatchBar.StatusBar.Overlay:SetVertexColor(.2, .2, .2)
	ArtifactWatchBar.StatusBar.Background:SetVertexColor(0, 0, 0)