----------------------------------------------------------------------
-- 	HadarilUI (November 12th 2016) (1.1.0) -- Krisera @ Wyrmrest Accord
----------------------------------------------------------------------

--	[3.1]	Minimap
	
	MinimapZoomIn:Hide()
	MinimapZoomOut:Hide()
	Minimap:EnableMouseWheel(true)
	Minimap:SetScript('onmousewheel', function(self, delta)
	        if delta > 0 then
	                Minimap_ZoomIn()
	        else
	                Minimap_ZoomOut()
	        end
	end)
	MiniMapTracking:ClearAllPoints()
	MiniMapTracking:SetPoint("TOPRIGHT", -26, 7)

--	[3.2]	Casting Bar and Macro Text

	CastingBarFrame.timer = CastingBarFrame:CreateFontString(nil);
	CastingBarFrame.timer:SetFont(STANDARD_TEXT_FONT,12,"OUTLINE");
	CastingBarFrame.timer:SetPoint("TOP", CastingBarFrame, "BOTTOM", 0, 0);
	CastingBarFrame.update = .1;

	hooksecurefunc("CastingBarFrame_OnUpdate", function(self, elapsed)
	        if not self.timer then return end
	        if self.update and self.update < elapsed then
	                if self.casting then
	                        self.timer:SetText(format("%2.1f/%1.1f", max(self.maxValue - self.value, 0), self.maxValue))
	                elseif self.channeling then
	                        self.timer:SetText(format("%.1f", max(self.value, 0)))
	                else
	                        self.timer:SetText("")
	                end
	                self.update = .1
	        else
	                self.update = self.update - elapsed
	        end
	end)

	for i=1, 12 do
	        _G["ActionButton"..i.."Name"]:SetAlpha(0) -- main bar
	        _G["MultiBarBottomRightButton"..i.."Name"]:SetAlpha(0) -- bottom right bar
	        _G["MultiBarBottomLeftButton"..i.."Name"]:SetAlpha(0) -- bottom left bar
	        _G["MultiBarRightButton"..i.."Name"]:SetAlpha(0) -- right bar
	        _G["MultiBarLeftButton"..i.."Name"]:SetAlpha(0) -- left bar
	end

--	[3.3]	Hide Micromenu

	--[[

		local function showFoo(self)
		 	for _, v in ipairs(MICRO_BUTTONS) do
				_G[v]:SetAlpha(.25)
		 	end
		end

		local function hideFoo(self)
		for _, v in ipairs(MICRO_BUTTONS) do
				_G[v]:SetAlpha(.25)
			end
		end

		for _, v in ipairs(MICRO_BUTTONS) do
		v = _G[v]
			v:SetScript("OnEnter", showFoo)
			v:SetScript("OnLeave", hideFoo)
			v:SetAlpha(.25)
		end

	--]]


